org.apache.solr.client.solrj.impl

## Class StreamingBinaryResponseParser

- java.lang.Object
- - org.apache.solr.client.solrj.ResponseParser
  - - org.apache.solr.client.solrj.impl.BinaryResponseParser
    - - org.apache.solr.client.solrj.impl.StreamingBinaryResponseParser

    public class StreamingBinaryResponseParser
    extends BinaryResponseParser

A BinaryResponseParser that sends callback events rather then build a large response

Since:
  solr 4.0

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.impl.BinaryResponseParser

`BINARY_CONTENT_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`StreamingBinaryResponseParser(StreamingResponseCallback cb)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedList<Object>` `processResponse(InputStream body, String encoding)`

### Methods inherited from class org.apache.solr.client.solrj.impl.BinaryResponseParser

`getContentType, getVersion, getWriterType, processResponse, setStringCache`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamingBinaryResponseParser

    public StreamingBinaryResponseParser(StreamingResponseCallback cb)

### Method Detail

#### processResponse

    public NamedList<Object> processResponse(InputStream body,
                                             String encoding)

Overrides:
  `processResponse` in class `BinaryResponseParser`